using System;

namespace ElementosVB
{
  class Program
  {
    private static short día, mes, año = 2001;
    private const double pi = 3.1415926;
    
    public static void Main(string[] args)
    {
      /*
      int contador = 0;
      string Nombre = "", Apellidos = null;
      día = 20;
      Apellidos = "Ceballos";
      System.Console.WriteLine("{0} {1} {2}", pi, día, Apellidos);
      // ...
      int entero1 = 0;
      double real1 = 0.0;
      float real2 = 12.345F;
      real1 = real2;
      entero1 = System.Convert.ToInt32(real2);
      System.Console.WriteLine("{0} {1} {2}", real1, real2, entero1);
      // ...
      double a = 10;
      float b = 20F;
      int c = 2;
      int r = 0;

      r = System.Convert.ToInt32(7.5 * System.Math.Sqrt(a) - b / c);
      System.Console.WriteLine(r);
      // ...
      int p = 10;
      int q = 0;
      bool r = false;
      r = p != 0 & q != 0; // da como resultado False
      r = p != 0 | q > 0; // da como resultado True
      r = q < p & p <= 10; // da como resultado True
      r = ! r; // si r es True, el resultado es False
      System.Console.WriteLine("Valor: " + r);
      // ...
      int x = 0;
      int n = 10;
      int i = 1;
      x += 1; // Incrementa el valor de x en 1.
      x -= 1; // Decrementa el valor de x en 1.
      x += 2; // Realiza la operación x = x + 2.
      i *= n - 3; // Realiza la operación i = i * (n-3) y no
                  // i = i * n - 3.
      // ...
      */
      string s1 = null;
      string s2 = null;
      string s3 = null;
      int n = 3;
      s2 = "Hola";
      s3 = " amigos";
      s1 = n + s3; // s1 = "3 amigos"
      s1 = s2 + s3; // s1 = "Hola amigos"
      // ...
      int x = 0;
      int y = 0;
      int z = 0;
      y = 20;
      z = 15;
      x = y - z / 2; // resultado x = 13
      System.Console.WriteLine("{0} {1} {2}", x, y, z);

      Console.Write("Pulse una tecla para continuar . . . ");
      Console.ReadKey(true);
    }
  }
}
